;		DIALUP.SCR
;
; Use this template with the COMSCRPT command and Hayes compatible modems.  
; You must change the phone number, username, and password.
; If you change a modem command prefix, be sure to use uppercase characters.
;
; "AT" is the Hayes initialization string.  For other modems, consult your
; modem documentation and change if necessary.  Be sure to include a
; command (such as "&C1") that raises the Data Carrier Detect (DCD)
; when establishing a connection.  The following specific examples
; may serve as starting points:
;
; To operate a Telebit Qblazer in V.32 transmission mode (9600 baud):
; send AT&F&C1S48=1S50=0S51=4S58=2\r
;
; To operate a Telebit T2500 in V.32 transmission mode (9600 baud):
; send AT&FS48=1S50=0S51=4S58=2S61=100S66=1S131=1\r
;
; To operate a Telebit T3000 in V.32 transmission mode (9600 baud):
; send AT&F&C1S48=1S50=0S51=4S58=2\r
;
; To operate a modem which supports the Hayes Command Set with 
;    command extensions:
send AT&F&C1\r
;
; Leave this first pause time at 1 second (the minimum time possible).
;
pause 1
;
; "ATDT" is the Hayes touch-tone dialing prefix.  Replace "5551212"
; (and "230") with the phone number (and extension) of the remote site.  
; (The commas indicate a four-second pause before dialing the extension;
; add more commas for a longer pause.)
;
send ATDT5551212,,,,230\r
;
; Pause to confirm that the physical layer is open
;
poll physical open
;
; For most situations, a 8 second pause should suffice for the remote
; system to respond with a login prompt.  Change if necessary.
;
pause 8
;
; Replace "username" with your SLIP or PPP login name (which may be
; different from your username on the remote system).
;
send username\r
;
; For most situations, a 4 second pause should suffice for the remote
; system to respond with a password prompt.  Change if necessary.
;
pause 4
;
; Replace "password" with your SLIP or PPP password (which may be
; different from your password on the remote system).
;
send password\r
;
; For most situations, a 2 second pause should suffice for the remote
; system to respond to your password.  Change if necessary.
;
pause 2
;
; Switch the packet driver from character mode to packet mode.
;
changemode packet
;
; Send a request to open the LCP layer
;
; Note: Comscrpt ignores the following 3 commands if the SLIP kernel
;	(SLPDRV) is being used because SLIP does not have lcp and ipcp
;	layers.  If using SLIP the presence or absence of these commands
;	will not have an adverse effect.
;
signal lcp open
;
; Pause to confirm that the lcp and ipcp layers are open.
;
poll lcp open
poll ipcp open

